[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[tor-commits] [chutney/master] Print a note about the renaming of old net/nodes directory.



commit 5dd20682966102bcf3d11bdd8dc9cbeb8e0467be
Author: Linus Nordberg <linus@xxxxxxxxxxxxxx>
Date:   Wed Jun 5 15:48:57 2013 +0200

    Print a note about the renaming of old net/nodes directory.
---
 tools/bootstrap-network.sh |   15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/tools/bootstrap-network.sh b/tools/bootstrap-network.sh
index 9173776..a686669 100755
--- a/tools/bootstrap-network.sh
+++ b/tools/bootstrap-network.sh
@@ -16,15 +16,20 @@
 
 VOTING_OFFSET=6
 CHUTNEY=./chutney
+myname=$(basename "$0")
 
-[ -x $CHUTNEY ] || { echo "$0: missing $CHUTNEY"; exit 1; }
-[ -d networks ] || { echo "$0: missing directory: networks"; exit 1; }
-[ -d net ] || { echo "$0: missing directory: net"; exit 1; }
+[ -x $CHUTNEY ] || { echo "$myname: missing $CHUTNEY"; exit 1; }
+[ -d networks ] || { echo "$myname: missing directory: networks"; exit 1; }
+[ -d net ] || { echo "$myname: missing directory: net"; exit 1; }
 flavour=basic; [ -n "$1" ] && { flavour=$1; shift; }
 
 $CHUTNEY stop networks/$flavour
-[ -d net/nodes ] && mv net/nodes net/nodes.$(date +%s)
-echo "$0: boostrapping network: $flavour"
+[ -d net/nodes ] && {
+    DEST=net/nodes.$(date +%s)
+    echo "$myname: NOTE: renaming net/nodes to $DEST"
+    mv net/nodes $DEST
+}
+echo "$myname: boostrapping network: $flavour"
 $CHUTNEY configure networks/$flavour
 
 # TODO: Make 'chutney configure' take an optional offset argument and

_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits